export let IM_HOST = 'https://imapi.qimingpian.com';

export let SOCKET = 'wss://imapi.qimingpian.com/wss';

export let LINK_API = 'https://seepcapi.qmpsee.com';

export let APP_BFF = 'https://seeappbff.qmpsee.com';

export let DOC_API = 'https://docsapi.qmpsee.com';

export let IM_BFF_API = ''; // IM新加的中台接口地址
export let RECORD_API = ''; // 埋点统计接口地址
export let SL_API = 'https://slbffapi.qmpsee.com' // SL系统api

export let ENV = 'prod';
export const setEnv = env => {
  ENV = env;
  DOC_API = env === 'dev' ? 'https://testdocsapi.qmpsee.com' : 'https://docsapi.qmpsee.com';
  APP_BFF = env === 'dev' ? 'https://testseeappbff.qmpsee.com' : 'https://seeappbff.qmpsee.com';
  LINK_API = env === 'dev' ? 'https://testseepcapi.qmpsee.com' : 'https://seepcapi.qmpsee.com';
  SOCKET = env === 'dev' ? 'wss://testws.qimingpian.com/wss' : 'wss://ws.qimingpian.com/wss';
  IM_HOST = env === 'dev' ? 'https://testimapi.qimingpian.com' : 'https://imapi.qimingpian.com';
  IM_BFF_API = env === 'dev' ? 'https://testloginbffapi.qimingpian.com/api' : 'https://loginbffapi.qimingpian.com/api';
  RECORD_API = env === 'dev' ? 'https://testbff.qmpdata.com' : 'https://bff.qmpdata.com';
  SL_API = env === 'dev' ? 'https://testslbffapi.qmpsee.com' : 'https://slbffapi.qmpsee.com';
};

export let SOURCE = 'see'
export const setSource = source => SOURCE = source
