
import { ref } from 'vue'
const useStatus = (state) => {
  const status = ref(state)
  const changeStatus = (newStatus) => {
    status.value = newStatus
  }
  return {
    status,
    changeStatus,
  }
}

export default useStatus
