export const tipFormat = (message: any, imStore) => {
  const isMine = message.uniq_id !== imStore.user_im_id;
  const tipMsg = JSON.parse(message.msg);
  const names = tipMsg.somebody?.name ? (isMine ? tipMsg.somebody?.name || '' : '你') : '';
  const memberStr = tipMsg.member_list?.map((item: any) => item.name)?.join('、');
  return `${names}${tipMsg.make || ''}${memberStr || ''}${tipMsg.something || ''}`;
};
