import { RouteRecordRaw, createRouter, createWebHistory } from 'vue-router';

export const routes: RouteRecordRaw[] = [
  {
    path: '/',
    redirect: '/home',
  },
  {
    path: '/home',
    name: 'Home',
    component: () => import(/* webpackChunkName: "home" */ '@/views/demo/index.vue'),
  },
  {
    path: '/demo1',
    name: 'Demo1',
    meta: {},
    component: () => import(/* webpackChunkName: "home" */ '@/views/demo/demo-chat-views.vue'),
  },
  {
    path: '/demo2',
    name: 'Demo2',
    meta: {},
    component: () => import(/* webpackChunkName: "home" */ '@/views/demo/demo-chat-room.vue'),
  },
];
const router = createRouter({
  history: createWebHistory('/'),
  routes,
});
export default router;
