import { defineConfig } from 'windicss/helpers';
export default defineConfig({
  attributify: {
    prefix: 'w:',
  },
  theme: {
    extend: {
      colors: {
        default: '#ffffff',
        title: '#666666',
        item: '#606266',
        msg: '#999999',
        primary: '#4680f1',
      },
    },
  },
  alias: {
    center: 'flex items-center justify-center',
    between: 'flex items-center justify-between',
    'j-center': 'flex justify-center',
    'a-center': 'flex items-center',
    col: 'flex flex-col',
    'col-center': 'flex flex-col justify-center items-center',
    // 主标题
    'm-title': 'text-20px text-[#2E3030] font-medium',
    'x-center': 'flex justify-center',
    'y-center': 'flex items-center',
  },
});
