import request from '@/utils/requestDoc';
import { IM_BFF_API, RECORD_API, APP_BFF } from '@/api/baseApi';
import { handleContactItem } from '@/api/im';

/**
 * 打点统计 - 激活聊天
 */
export function api_recordActiveChat(data) {
  return request({
    method: 'post',
    url: RECORD_API + '/api/startup/buriedPoints/add',
    data,
  });
}

/**
 * 发短信
 * @param data { phone: string }
 */
export function api_sendSMS(data) {
  return request({
    method: 'post',
    url: APP_BFF + '/api/urm/sms/send',
    data,
  });
}
