import axios from 'axios';
import requestSL from '@/utils/requestSL';
/**
 * @file IM模块
 * IM接口接收formData类型数据
 */
import { SL_API } from '@/api/baseApi';

/**
 * @description: 获取用户Card表信息
 * @param {any} data
 * @return {*}
 */
export function API_getUserCardInfo(data: any) {
  return requestSL({
    url: SL_API + '/api/passport/open/card/info',
    method: 'post',
    data,
  });
}

