import { postRequest } from '@/utils/requestLink';
import { LINK_API } from '@/api/baseApi';
import * as T from './types';

/* 行业列表 */
export function api_getIndustryList() {
  return postRequest({
    url: LINK_API + '/Articles/getIndustryList',
  });
}

/*
 * describe: 获取企业主页详情信息
 * */
export function api_companyBasicInfo(data: any) {
  return postRequest({
    url: LINK_API + '/SmallCompany/companyBasicInfo',
    data,
  });
}

/*
 * describe: 获取省市
 * */
export function api_provinceCityList() {
  return postRequest({
    url: LINK_API + '/common/provinceCityList',
  });
}
