import Quill from 'quill'
const Image = Quill.import('formats/image')

class ImageIM extends Image {
  static create(data: any) {
    const node = super.create(data.url)
    node.setAttribute('data-upload-id', data['data-upload-id'])
    node.setAttribute('contenteditable', false)
    return node
  }
  static value(domNode: any) {
    return {
      url: domNode.getAttribute('src'),
      'data-upload-id': domNode.getAttribute('data-upload-id')
    }
  }
}
Image.blotName = 'ImageIM'

export default ImageIM
