export const cache = new Map()
let key = 0
// 草稿缓存
const chatDraftCache = {
  getCacheKey() {
    return key++ + ''
  },
  updateDraft(chat_id, draftObj) {
    if (draftObj) {
      cache.set(chat_id, draftObj)
    } else {
      cache.delete(chat_id)
    }
  },
  getDraft(chat_id) {
    return cache.get(chat_id)
  }
}
export default chatDraftCache
