export const messageJoint = (tempMessageArr, messageList) => {
  for (let i = 0; i < tempMessageArr.length; i++) {
    const currentObject = tempMessageArr[i];
    const relatedMsgId = currentObject.related_msg_id;
    for (let j = 0; j < messageList.length; j++) {
      if (messageList[j].id === relatedMsgId) {
        messageList.splice(j + 1, 0, currentObject);
        break;
      }
    }
  }
};

export function dataURLtoFile(dataurl, filename) {
  var arr = dataurl.split(','),
    mime = arr[0].match(/:(.*?);/)[1],
    bstr = atob(arr[arr.length - 1]),
    n = bstr.length,
    u8arr = new Uint8Array(n);
  while (n--) {
    u8arr[n] = bstr.charCodeAt(n);
  }
  return new File([u8arr], `${filename}.${mime.split('/')[1]}`, { type: mime });
}
