import Clipboard from 'clipboard'
import { ElMessage } from 'element-plus'
export default {
  mounted: (el, binding, vnode) => {
    let that = vnode.context
    el.setAttribute('data-clipboard-text', binding.value)
    let copyObj = new Clipboard(el)
    copyObj.on('success', e => {
      // let val = el.getAttribute('data-clipboard-text')
      if (binding.modifiers.apply) {
        // binding.instance.$message.success('已复制')
        ElMessage.success('已复制')
      } else {
        // binding.instance.$message.success(`复制成功！`)
        ElMessage.success('复制成功')
      }
    })
    copyObj.on('error', e => {
      // binding.instance.$message.danger('复制失败')
      ElMessage.error('复制失败')
    })
  },
  updated: (el, binding) => {
    el.setAttribute('data-clipboard-text', binding.value)
  }
}
