import { onBeforeUnmount } from "vue";
import EventBus from "@/utils/mitt";

export const useEventBus = (...args: any) => {
  EventBus.on(...args);

  onBeforeUnmount(() => {
    EventBus.off(...args);
  });
};
